#****************************************************************************
#** 
#**  File     :  /cdimage/units/OPE6006/OPE6006_script.lua 
#**  Author(s):  John Comes, David Tomandl 
#** 
#**  Summary  :  Earth Blacksun, Ver1
#** 
#**  Copyright  2005 Gas Powered Games, Inc.  All rights reserved.
#****************************************************************************
local TCivilianStructureUnit = import('/lua/terranunits.lua').TCivilianStructureUnit

UEC1901 = Class(TCivilianStructureUnit) {


    OnCreate = function(self)
        TCivilianStructureUnit.OnCreate(self)
	  PrintText('Black Sun is being built!!', 20, nil, 10, 'center')
    end,

    EnableSpecialToggle = function(self)
	  TCivilianStructureUnit.EnableSpecialToggle(self)
	  PrintText('SHOOP DA WHOOP!!!', 20, nil, 10, 'center')
	  self:Kill(self)
    end,
}

TypeClass = UEC1901
